Index: Portfile
===================================================================
--- Portfile	(revision 121648)
+++ Portfile	(working copy)
@@ -11,13 +11,13 @@
 
 
 # don't forget to update both the git tag and the version
-github.setup        root-mirror root 6-00-01 v
-version             6.00.01
+github.setup        root-mirror root 6-00-02 v
+version             6.00.02
 # this could be a better way to set the version (unless we use a sha sum for the git tag ;)
 # version           [string map {- .} $version]
 set version_major   [lindex [split ${version} .] 0]
-checksums           rmd160  6ee9fd3c7ea5a11bf67331a5f24d5839f4ba67a0 \
-                    sha256  ad3b64a44e25b05a666f05a7b12e4b9a4488ede5c68839c1151d13a348b3bf7f
+checksums           rmd160  5efc28e5d68aaa4274d869c809c4d052d6011fe4 \
+                    sha256  6e6fa7fbe0fe72828a6a65f758af9e1fcb04b66dec7fae79ecbe06e81692b218
 
 name                root${version_major}
 categories          science
@@ -59,12 +59,10 @@
 select.group        root
 select.file         ${filespath}/${name}
 
-patchfiles          patch-cmake-modules-SearchInstalledSoftware.cmake.diff \
-                    patch-graf3d-gl-CMakeLists.txt.diff
+patchfiles          patch-cmake-modules-SearchInstalledSoftware.cmake.diff
 
 # Force a compatible compiler
-# (macports-clang-3.3 works; it's blacklisted only to give the preference to 3.4)
-compiler.blacklist-append *gcc* {clang < 500} macports-clang-2.9 macports-clang-3.0 macports-clang-3.1 macports-clang-3.2 macports-clang-3.3
+compiler.blacklist-append *gcc* {clang < 500} macports-clang-2.9 macports-clang-3.0 macports-clang-3.1 macports-clang-3.2
 compiler.fallback-append macports-clang-3.4 macports-clang-3.5
 
 # port specific location
@@ -313,8 +311,9 @@
 # Setup various python variants
 # ========================================================================================
 
-# List of possible python versions ( 3.x does not seem to work yet )
+# List of possible python versions ( Versions 3.x do not seem to work yet )
 set python_versions { 2.6 2.7 }
+set default_python_variant +python27
 
 # Define the available variants
 foreach ver ${python_versions} {
@@ -327,49 +326,53 @@
     }
     append variant_line { { } }
     eval $variant_line
+    if {[variant_isset python${ver_no_dot}]} {
+        if {${default_python_variant} != "+python${ver_no_dot}"} {
+            set default_python_variant ""
+        }
+    }
 }
 
-# Is a variant active ?
-set active_python_variant ""
+if {${default_python_variant} != ""} {
+    default_variants-append "${default_python_variant}"
+}
+
+# If a python variant is enabled, activate it
 foreach ver ${python_versions} {
     set ver_no_dot [join [split ${ver} "."] ""]
     if {[variant_isset python${ver_no_dot}]} {
-        set active_python_variant ${ver}
-    }
-}
 
-# If so, set it up.
-if { ${active_python_variant} != "" } {
-    set ver_no_dot [join [split ${active_python_variant} "."] ""]
-    set portname root5
-    if {![catch {set result [active_variants ${portname} python${ver_no_dot}]}]} {
-        if {$result} {
-            ui_error "Cannot install ${name} with +python${ver_no_dot} variant"
-            return -code error "${portname} port is already installed with +python${ver_no_dot} and both cannot be active at once. Pick a different python variant."
+        # Check root5 variants
+        set portname root5
+        if {![catch {set result [active_variants ${portname} python${ver_no_dot}]}]} {
+            if {$result} {
+                ui_error "Cannot install ${name} with +python${ver_no_dot} variant"
+                return -code error "${portname} port is already installed with +python${ver_no_dot} and both cannot be active at once. Pick a different python variant."
+            }
         }
+
+        # Setup python
+        set mypydir ${prefix}/Library/Frameworks/Python.framework/Versions/${ver}
+        configure.args-replace  -Dpython=OFF -Dpython=ON
+        configure.args-append   -DPYTHON_INCLUDE_DIR="${mypydir}/Headers" \
+                                -DPYTHON_LIBRARY="${prefix}/lib/libpython${ver}.dylib" \
+                                -DPYTHON_EXECUTABLE="${prefix}/bin/python${ver}"
+        depends_lib-append      port:python${ver_no_dot}
+        post-destroot {
+            set mypylibdir  ${prefix}/Library/Frameworks/Python.framework/Versions/${ver}/lib/python${ver}
+            set mypysitedir ${mypylibdir}/site-packages/
+            file mkdir ${destroot}${mypysitedir}
+            foreach pyfile [glob ${destroot}${install_prefix}/lib/root/*.py*] { move $pyfile ${destroot}${mypysitedir}/ }
+            ln -sf ${install_prefix}/lib/root/libPyROOT.so ${destroot}${mypylibdir}/
+        }
+
     }
-    set mypydir ${prefix}/Library/Frameworks/Python.framework/Versions/${active_python_variant}
-    configure.args-replace  -Dpython=OFF -Dpython=ON
-    configure.args-append   -DPYTHON_INCLUDE_DIR="${mypydir}/Headers" \
-                            -DPYTHON_LIBRARY="${prefix}/lib/libpython${active_python_variant}.dylib" \
-                            -DPYTHON_EXECUTABLE="${prefix}/bin/python${active_python_variant}"
-    depends_lib-append      port:python${ver_no_dot}
-    post-destroot {
-        set mypylibdir  ${prefix}/Library/Frameworks/Python.framework/Versions/${active_python_variant}/lib/python${active_python_variant}
-        set mypysitedir ${mypylibdir}/site-packages/
-        file mkdir ${destroot}${mypysitedir}
-        foreach pyfile [glob ${destroot}${install_prefix}/lib/root/*.py*] { move $pyfile ${destroot}${mypysitedir}/ }
-        ln -sf ${install_prefix}/lib/root/libPyROOT.so ${destroot}${mypylibdir}/
-    }
 }
 
 # ========================================================================================
 
 variant ssl description {Build with ssl support} {
-    configure.args-replace  -Dssl=OFF -Dssl=ON 
-#   configure.args-append   -DOPENSSL_INCLUDE_DIR="${prefix}/include" \
-#                           -DOPENSSL_SSL_LIBRARY="${prefix}/lib/libssl.dylib" \
-#                           -DOPENSSL_CRYPTO_LIBRARY="${prefix}/lib/libcrypto.dylib"
+    configure.args-replace  -Dssl=OFF -Dssl=ON
     depends_lib-append      port:openssl
 }
 
@@ -381,6 +384,11 @@
     depends_lib-append      port:libxml2
 }
 
+variant sqlite3 description {Build with sqlite3 support} {
+    configure.args-replace  -Dsqlite=OFF -Dsqlite=ON
+    depends_lib-append      port:sqlite3
+}
+
 variant mysql conflicts mysql51 mysql55 mariadb percona description {Build with mysql5 support} {
     configure.args-replace  -Dmysql=OFF -Dmysql=ON
     configure.args-append   -DMYSQL_CONFIG_EXECUTABLE=${prefix}"/lib/mysql5/bin/mysql_config"
@@ -411,21 +419,19 @@
     depends_lib-append      port:percona
 }
 
-# TODO - Doesn't seem to work. To be reported upstream..
-# variant postgresql90 conflicts postgresql92 description {Build with PostgreSQL 9.0 support} {
-#     configure.args-replace -Dpgsql=OFF -Dpgsql=ON
-#     configure.args-append  -DPOSTGRESQL_INCLUDE_DIR="${prefix}/include/postgresql90" \
-#                            -DPOSTGRESQL_LIBRARIES="${prefix}/lib/postgresql90"
-#     depends_lib-append      port:libpqxx port:postgresql90
-# }
+variant postgresql90 conflicts postgresql92 description {Build with PostgreSQL 9.0 support} {
+    configure.args-replace -Dpgsql=OFF -Dpgsql=ON
+    configure.args-append  -DPOSTGRESQL_INCLUDE_DIR="${prefix}/include/postgresql90"\
+                           -DPOSTGRESQL_LIBRARIES="${prefix}/lib/postgresql90/libpq.dylib"
+    depends_lib-append      port:libpqxx port:postgresql90
+}
 
-# TODO - Doesn't seem to work. To be reported upstream..
-# variant postgresql92 conflicts postgresql90 description {Build with PostgreSQL 9.2 support} {
-#     configure.args-replace -Dpgsql=OFF -Dpgsql=ON
-#     configure.args-append  -DPOSTGRESQL_INCLUDE_DIR="${prefix}/include/postgresql92" \
-#                            -DPOSTGRESQL_LIBRARIES="${prefix}/lib/postgresql92"
-#     depends_lib-append      port:libpqxx port:postgresql92
-# }
+variant postgresql92 conflicts postgresql90 description {Build with PostgreSQL 9.2 support} {
+    configure.args-replace -Dpgsql=OFF -Dpgsql=ON
+    configure.args-append  -DPOSTGRESQL_INCLUDE_DIR="${prefix}/include/postgresql92" \
+                           -DPOSTGRESQL_LIBRARIES="${prefix}/lib/postgresql92/libpq.dylib"
+    depends_lib-append      port:libpqxx port:postgresql92
+}
 
 # variant oracle description {Build with Oracle support} {
 #     configure.args-replace --disable-oracle --enable-oracle
@@ -451,8 +457,7 @@
     # Dependencies on X11 ports
     depends_lib-append      port:xorg-libX11 port:mesa port:Xft2 port:xpm
     # Disable cocoa
-    configure.args-append   -Dcocoa=OFF \
-                            -Dx11=ON \
+    configure.args-append   -Dcocoa=OFF -Dx11=ON \
                             -DOPENGL_INCLUDE_DIR=${prefix}/include \
                             -DOPENGL_gl_LIBRARY=${prefix}/lib/libGL.dylib \
                             -DX11_ICE_INCLUDE_PATH=${prefix}/include \