--- Portfile.orig	2016-07-01 09:53:07.000000000 -0300
+++ Portfile	2016-07-01 10:10:33.000000000 -0300
@@ -4,7 +4,7 @@
 PortSystem          1.0
 
 name                osxfuse
-version             2.8.2
+version             2.8.3
 set branch          [join [lrange [split ${version} .] 0 1] .]
 categories          fuse devel
 platforms           macosx
@@ -46,12 +46,12 @@
 
 distfiles
 set mp.dist {
-    osxfuse     bf71481
-    kext        b6b3cbe
+    osxfuse     a6f0b47
+    kext        6d927ab
     framework   2ab904a
-    prefpane    8ad486b
+    prefpane    4813708
     fuse        98b9960
-    support     664d8ba
+    support     faf1f6f
 }
 
 depends_build       port:autoconf \
@@ -72,27 +72,27 @@
     distfiles-append ${name}-${version}.dmg
 }
 
-checksums           osxfuse-bf71481.tar.gz \
-                    rmd160  121cc22174e19ecb32c6b61552c007c327be26b7 \
-                    sha256  b0cdfb642d2b2ed5b30d561803c875913eb27ec86a440601101d4e468eaa17c4 \
-                    kext-b6b3cbe.tar.gz \
-                    rmd160  07e2aca43b53dad2104f8306db42e082e75351ef \
-                    sha256  7f776c43ad15e0b1916d6ebea3d56c0b4f7c7b0beb81f28fe380099759bd2349 \
+checksums           osxfuse-a6f0b47.tar.gz \
+                    rmd160  36feab24ba2d6cef2aee2eeb8ca455f615be9cd2 \
+                    sha256  269086fb420a5617890ddfe395837a3eff42782c893307d652ac9a146b038623 \
+                    kext-6d927ab.tar.gz \
+                    rmd160  44e5ed043b819cf1311df1e0c2744b6eab8c2e75 \
+                    sha256  610e8705e8cdddc4877f982f6129c993fa2a9e09b706a1d6c561aa3478f77c99 \
                     framework-2ab904a.tar.gz \
                     rmd160  af79296880d18d8f8a27803e348ff6429280f0e7 \
                     sha256  1591c26d0d01311007105ab3789d43abc6e824aaee681aef8b601413dafea65e \
-                    prefpane-8ad486b.tar.gz \
-                    rmd160  c157ff7907743ab66e1ecb03106deb816aeffb70 \
-                    sha256  d1b6233640c77d124c7c7e97c5bc370fa8ade8b041b127b6bbc1ae4a44b8bad4 \
+                    prefpane-4813708.tar.gz \
+                    rmd160  a2289abbd8eaea30ad3356eb1e2e070cb0d57ac6 \
+                    sha256  49fc7bdcf273c68c49e9b69aa9ec0b9e44ed54e11b94c07395d0c0e4e82dd305 \
                     fuse-98b9960.tar.gz \
                     rmd160  589cbe0c819caded56dc4be64727580e1400fd9e \
                     sha256  f60205e19c2971228b78d180dc65cda2a6271a567229acdeb19567fcbcebb641 \
-                    support-664d8ba.tar.gz \
-                    rmd160  d4c578037996dc5959eb8aa2097ff1ccf4f7b619 \
-                    sha256  84e64541e5ad1baeb70a513960349edad736da1e1ad83ef889d938a571086c58 \
-                    osxfuse-2.8.2.dmg \
-                    rmd160  eaf94873fe650584a68fd011bb6bb6195a373e91 \
-                    sha256  c0cc4066642136fdd4f5fead10bed2e495f636f86f451deee85dbb5aa95fa7fa
+                    support-faf1f6f.tar.gz \
+                    rmd160  95f1817f30946cd86cce82735d344d25e594ed3d \
+                    sha256  8d20b9ac55bb913e757a042d349551bf30119df6af9aebcdcd2eafcd90b2af84 \
+                    osxfuse-2.8.3.dmg \
+                    rmd160  7e3a29202a27179f596ecc8a9c0645cdc33f19af \
+                    sha256  b0f05fa6e74372b73417e89bfd103a46a0b968239f03832755e424bec09051e6
 
 # extract phase will just extract the dmg; post-extract will expand
 # the tarballs
@@ -123,7 +123,8 @@
 
 patchfiles          patch-buildsystem.diff \
                     patch-kext-location.diff \
-                    patch-xcode-7.2.diff
+                    patch-xcode-7.2.diff \
+                    patch-xcode-7.3.diff
 
 post-patch {
     reinplace "s,@@TMP@@,${workpath}/.tmp,g" ${worksrcpath}/build.sh
@@ -171,7 +172,7 @@
     post-destroot {
         delete ${destroot}${prefix}/Library/Filesystems/osxfusefs.fs/Support/osxfusefs.kext \
             ${destroot}${prefix}/Library/Filesystems/osxfusefs.fs/Support/osxfusefs.kext.dSYM
-        
+
         file copy ${workpath}/pkg/10.9/OSXFUSECore.pkg/Library/Filesystems/osxfusefs.fs/Support/osxfusefs.kext \
             ${destroot}${prefix}/Library/Filesystems/osxfusefs.fs/Support
     }