diff --git addons/gdbplugin/plugin.qrc addons/gdbplugin/plugin.qrc
index 638b0a6..a707be0 100644
--- addons/gdbplugin/plugin.qrc
+++ addons/gdbplugin/plugin.qrc
@@ -4,6 +4,6 @@
         <file>ui.rc</file>
     </qresource>
     <qresource prefix="/kategdb">
-        <file>22-actions-debug-kategdb.png</file>
+        <file>22-actions-debug-kate5gdb.png</file>
     </qresource>
 </RCC>
diff --git addons/gdbplugin/plugin_kategdb.cpp addons/gdbplugin/plugin_kategdb.cpp
index 2bb45f2..8e45812 100644
--- addons/gdbplugin/plugin_kategdb.cpp
+++ addons/gdbplugin/plugin_kategdb.cpp
@@ -84,12 +84,12 @@ KatePluginGDBView::KatePluginGDBView(KTextEditor::Plugin *plugin, KTextEditor::M
 
     m_toolView = m_mainWin->createToolView(plugin, i18n("Debug View"),
                                            KTextEditor::MainWindow::Bottom,
-                                           QIcon(QStringLiteral(":/kategdb/22-actions-debug-kategdb.png")),
+                                           QIcon(QStringLiteral(":/kategdb/22-actions-debug-kate5gdb.png")),
                                            i18n("Debug View"));
 
     m_localsStackToolView = m_mainWin->createToolView(plugin, i18n("Locals and Stack"),
                                                       KTextEditor::MainWindow::Right,
-                                                      QIcon(QStringLiteral(":/kategdb/22-actions-debug-kategdb.png")),
+                                                      QIcon(QStringLiteral(":/kategdb/22-actions-debug-kate5gdb.png")),
                                                       i18n("Locals and Stack"));
 
     m_tabWidget = new QTabWidget(m_toolView);
@@ -216,7 +216,7 @@ KatePluginGDBView::KatePluginGDBView(KTextEditor::Plugin *plugin, KTextEditor::M
 
     QAction* a = actionCollection()->addAction(QStringLiteral("debug"));
     a->setText(i18n("Start Debugging"));
-    a->setIcon(QIcon(QStringLiteral(":/kategdb/22-actions-debug-kategdb.png")));
+    a->setIcon(QIcon(QStringLiteral(":/kategdb/22-actions-debug-kate5gdb.png")));
     connect(   a,      SIGNAL(triggered(bool)),
                 this,   SLOT(slotDebug()));
 
diff --git addons/sessionapplet/applet/metadata.desktop addons/sessionapplet/applet/metadata.desktop
index 769ba31..6aed105 100644
--- addons/sessionapplet/applet/metadata.desktop
+++ addons/sessionapplet/applet/metadata.desktop
@@ -93,7 +93,7 @@ Comment[zh_CN]=Kate 会话启动器
 Comment[zh_TW]=Kate 工作階段啟動器
 
 Type=Service
-Icon=kate
+Icon=kate5
 X-KDE-ServiceTypes=Plasma/Applet,Plasma/PopupApplet
 
 X-Plasma-API=declarativeappletscript
diff --git addons/sessionapplet/engine/katesessionsmodel.cpp addons/sessionapplet/engine/katesessionsmodel.cpp
index 6dd2795..ad2d7f4 100644
--- addons/sessionapplet/engine/katesessionsmodel.cpp
+++ addons/sessionapplet/engine/katesessionsmodel.cpp
@@ -73,7 +73,7 @@ void KateSessionsModel::initSessionFiles()
 
     QStandardItem *item = new QStandardItem();
     item->setData(i18n("Start Kate (no arguments)"), Qt::DisplayRole);
-    item->setData( QIcon::fromTheme( QStringLiteral("kate") ), Qt::DecorationRole );
+    item->setData( QIcon::fromTheme( QStringLiteral("kate5") ), Qt::DecorationRole );
     item->setData( QStringLiteral("_kate_noargs"), Uuid );
     item->setData(0,TypeRole);
     m_fullList << item->data(Qt::DisplayRole).toString();
diff --git addons/sessionapplet/engine/plasma-dataengine-katesessions.desktop addons/sessionapplet/engine/plasma-dataengine-katesessions.desktop
index b981509..a07c17a 100644
--- addons/sessionapplet/engine/plasma-dataengine-katesessions.desktop
+++ addons/sessionapplet/engine/plasma-dataengine-katesessions.desktop
@@ -93,7 +93,7 @@ Comment[zh_CN]=Kate 会话启动器
 Comment[zh_TW]=Kate 工作階段啟動器
 
 Type=Service
-Icon=kate
+Icon=kate5
 X-KDE-ServiceTypes=Plasma/DataEngine
 
 X-KDE-Library=plasma_engine_clipboard
diff --git kate/data/org.kde.kate.desktop kate/data/org.kde.kate.desktop
index 89411a4..aed6343 100755
--- kate/data/org.kde.kate.desktop
+++ kate/data/org.kde.kate.desktop
@@ -151,8 +151,8 @@ MimeType=text/plain;
 Exec=kate -b %U
 StartupNotify=true
 X-KDE-HasTempFileOption=true
-Icon=kate
-X-DocPath=kate/index.html
+Icon=kate5
+X-DocPath=kate5/index.html
 Type=Application
 Terminal=false
 InitialPreference=9
diff --git kate/main.cpp kate/main.cpp
index 554de7a..04c6ff8 100644
--- kate/main.cpp
+++ kate/main.cpp
@@ -137,7 +142,7 @@ int main(int argc, char **argv)
     /**
      * set the program icon
      */
-    QApplication::setWindowIcon(QIcon::fromTheme(QLatin1String("kate"), app.windowIcon()));
+    QApplication::setWindowIcon(QIcon::fromTheme(QLatin1String("kate5"), app.windowIcon()));
 
     /**
      * Create command line parser and feed it with known options